# xarray.core.resample.DatasetResample.reduce

`DatasetResample.``reduce`(func, dim=None, keep_attrs=None, **kwargs)

  Reduce the items in this group by applying func along the pre-defined resampling dimension.

  Parameters:

  - func (function) – Function which can be called in the form func(x, axis=axis, **kwargs) to return the result of collapsing an np.ndarray over an integer valued axis.
  - dim (str or sequence of str, optional) – Dimension(s) over which to apply func.
  - keep_attrs (bool, optional) – If True, the datasets’s attributes (attrs) will be copied from the original object to the new one. If False (default), the new object will be returned without attributes.
  - **kwargs (dict) – Additional keyword arguments passed on to func.

  Returns: | reduced – Array with summarized data and the indicated dimension(s) removed.
  Return type: | Array